2.6.11.x kernel

Ken Moffat ken at kenmoffat.uklinux.net
Wed Mar 16 15:54:31 PST 2005


On Wed, 16 Mar 2005, Robert Connolly wrote:

> This 2.6.11.x series is a mess. The -as branch is still following 2.6.10.
> Grsecurity is patching against 2.6.11 mainline. 2.6.11.3 is the latest,
>

 I assume -as will be updated for 2.6.11 soon (he was on vacation), but
2.6.11.x looks good from here.

> The 2.6.11-mm4 branch has the updates included in 2.6.11.3, but then
> grsecurity won't apply.
>

-mm is the official bleeding-edge.  Expect it to contain breakage.

> And lfs-unstable is still suggesting we use the security fix for the
> capabilities module, which is only partially fixed in 2.6.11.3.
>
> Anyone have suggestions? Or shall we just wait for 2.6.12.
>

 For everything except grsecurity, 2.6.11.x is the way to go. No doubt
the grsecurity guys will have something soonish.  Unless linus relents
with his usage of 'rc', 2.6.12 will undoubtedly bring its own problems.

Ken
-- 
 das eine Mal als Tragödie, das andere Mal als Farce




More information about the hlfs-dev mailing list